Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.core.v2
Class EHealthCertificateSigningRequestType

    java.lang.Object
      be.fgov.ehealth.certra.core.v2.EHealthCertificateSigningRequestType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:39:12+02:00",
               comments="JAXB RI v2.3.6")
    public class EHealthCertificateSigningRequestType

extends Object
implements Serializable

Describes an eHealth CSR. The eHealth CSR wraps a CSR in PKCS#10 format and adds the necessary data needed by the eHealth Certificate Manager service such as the contract, contact data and the eHealth services you want to use with your certificate.

Java class for EHealthCertificateSigningRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EHealthCertificateSigningRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ContactData" type="{urn:be:fgov:ehealth:certra:core:v2}ContactDataType"/>
             <element name="CSR" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="Contract" type="{urn:be:fgov:ehealth:certra:core:v2}ContractType"/>
             <element name="BaseServiceUsage" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EHealthCertificateSigningRequestType()`

Method Summary
`List<String>` | `getBaseServiceUsages()` Gets the value of the baseServiceUsages property.
`ContactDataType` | `getContactData()` Gets the value of the contactData property.
`ContractType` | `getContract()` Gets the value of the contract property.
`byte[]` | `getCSR()` Gets the value of the csr property.
`void` | `setContactData(ContactDataType value)` Sets the value of the contactData property.
`void` | `setContract(ContractType value)` Sets the value of the contract property.
`void` | `setCSR(byte[] value)` Sets the value of the csr property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EHealthCertificateSigningRequestType

    public EHealthCertificateSigningRequestType()

Method Detail

### getContactData

    public ContactDataType getContactData()

  Gets the value of the contactData property.

  Returns:
    possible object is `ContactDataType`

### setContactData

    public void setContactData(ContactDataType value)

  Sets the value of the contactData property.

  Parameters:
    `value` - allowed object is `ContactDataType`

### getCSR

    public byte[] getCSR()

  Gets the value of the csr property.

  Returns:
    possible object is byte[]

### setCSR

    public void setCSR(byte[] value)

  Sets the value of the csr property.

  Parameters:
    `value` - allowed object is byte[]

### getContract

    public ContractType getContract()

  Gets the value of the contract property.

  Returns:
    possible object is `ContractType`

### setContract

    public void setContract(ContractType value)

  Sets the value of the contract property.

  Parameters:
    `value` - allowed object is `ContractType`

### getBaseServiceUsages

    public List<String> getBaseServiceUsages()

  Gets the value of the baseServiceUsages property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the baseServiceUsages property.

  For example, to add a new item, do as follows:

          getBaseServiceUsages().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.